# $Revision: 1.25 $, $Date: 2007/06/12 17:42:18 $
# TODO: make description true (i.e. separate GUIs)
# echomixer,envy24control,rmedigicontrol use GTK+ 2
# hdspconf,hdspmixer use FLTK
# qlo10k1 uses Qt 3
# 
Summary:	Advanced Linux Sound Architecture (ALSA) - tools
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - narzędzia
Name:		alsa-tools
Version:	1.0.14
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	ftp://ftp.alsa-project.org/pub/tools/%{name}-%{version}.tar.bz2
# Source0-md5:	d5bd2186cd0dff834fbf514b82160793
Patch0:		%{name}-asneeded.patch
Patch1:		%{name}-sh.patch
Patch2:		%{name}-csp.patch
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-lib-devel >= 1.0.3
BuildRequires:	autoconf
BuildRequires:	automake >= 1.3
BuildRequires:	flex
BuildRequires:	fltk-devel
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	qt-devel
BuildRequires:	sed >= 4.0
# for lo10k1, qlo10k1
Requires:	liblo10k1 = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# ac3dec skipped - see ac3dec.spec
%define	progs	as10k1 echomixer envy24control hdspconf hdsploader hdspmixer ld10k1 mixartloader pcxhrloader rmedigicontrol sb16_csp seq/sbiload sscape_ctl us428control usx2yloader vxloader

%description
This packages contains command line utilities for the ALSA (Advanced
Linux Sound Architecture) project.

%description -l pl.UTF-8
Pakiet zawiera działające z linii poleceń narzędzia dla projektu ALSA
(Advanced Linux Sound Architecture).

%package tascam
Summary:	Hotplug support for Tascam USB devices
Summary(pl.UTF-8):	Wsparcie hotpluga do urządzeń USB Tascam
Group:		Applications/Sound
Requires:	udev

%description tascam
Hotplug support for Tascam USB devices, firmware loader.

%description tascam -l pl.UTF-8
Wsparcie hotpluga do urządzeń USB Tascam, narzędzie do ładowania
firmware'u.

%package -n liblo10k1
Summary:	liblo10k1 library
Summary(pl.UTF-8):	Biblioteka liblo10k1
Group:		Libraries
Conflicts:	alsa-tools < 1.0.13

%description -n liblo10k1
liblo10k1 library.

%description -n liblo10k1 -l pl.UTF-8
Biblioteka liblo10k1.

%package -n liblo10k1-devel
Summary:	Header files for liblo10k1 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblo10k1
Group:		Development/Libraries
Requires:	liblo10k1 = %{version}-%{release}

%description -n liblo10k1-devel
Header files for liblo10k1 library.

%description -n liblo10k1-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liblo10k1.

%package -n liblo10k1-static
Summary:	Static liblo10k1 library
Summary(pl.UTF-8):	Statyczna biblioteka liblo10k1
Group:		Development/Libraries
Requires:	liblo10k1-devel = %{version}-%{release}

%description -n liblo10k1-static
Static liblo10k1 library.

%description -n liblo10k1-static -l pl.UTF-8
Statyczna biblioteka liblo10k1.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# don't BR gtk+ 1.2
echo 'AC_DEFUN([AM_PATH_GTK],[])' > echomixer/acinclude.m4
echo 'AC_DEFUN([AM_PATH_GTK],[])' > envy24control/acinclude.m4
echo 'AC_DEFUN([AM_PATH_GTK],[])' > rmedigicontrol/acinclude.m4

%build
odir=$(pwd)
for dir in %{progs}; do
	cd $dir
	[ -f README ] && cp -f README "README.$(basename $dir)"
	[ -f NEWS ] && cp -f NEWS "NEWS.$(basename $dir)"
	[ -f TODO ] && cp -f TODO "TODO.$(basename $dir)"
	[ -f ltmain.sh ] && %{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	grep -q AC_CONFIG_HEADER configure.* && %{__autoheader}
	%{__automake}
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
	CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
	%configure
	%{__make}
	cd $odir
done

cd qlo10k1
sed -i 's:include:include/qt:g' acinclude.m4
cp -f README README.qlo10k1
cp -f NEWS NEWS.qlo10k1
cp -f TODO TODO.qlo10k1
%{__aclocal} -I ../ld10k1
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure \
	--with-qtdir=%{_prefix} \
	--disable-ld10k1test \
	--with-ld10k1-prefix=$odir/ld10k1/src \
	--with-ld10k1-inc-prefix=$odir/ld10k1/include
%{__make}

%{__make} -C $odir/as10k1/examples dsp

%install
rm -rf $RPM_BUILD_ROOT

sed -i -e 's,#!/bin/sh,#!/bin/bash,' ld10k1/setup/init_live

odir=$(pwd)
for dir in %{progs} qlo10k1; do
	%{__make} -C $dir install \
		DESTDIR=$RPM_BUILD_ROOT
done

install $odir/as10k1/examples/*.emu10k1 $RPM_BUILD_ROOT%{_datadir}/ld10k1/effects

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n liblo10k1 -p /sbin/ldconfig
%postun	-n liblo10k1 -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc */README.* */*/README.* */NEWS.*
# alsamixer/TODO.* 
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/ld10k1
%{_mandir}/man?/*
%{_desktopdir}/hdspconf.desktop
%{_desktopdir}/hdspmixer.desktop
%{_pixmapsdir}/hdspconf.png
%{_pixmapsdir}/hdspmixer.png
# for sbiload
%{_datadir}/sounds/opl3

%files tascam
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysconfdir}/hotplug/usb/tascam_fpga
%attr(755,root,root) %{_sysconfdir}/hotplug/usb/tascam_fw
%{_sysconfdir}/hotplug/usb/tascam_fw.usermap

%files -n liblo10k1
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblo10k1.so.*.*.*

%files -n liblo10k1-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblo10k1.so
%{_libdir}/liblo10k1.la
%{_includedir}/lo10k1
%{_aclocaldir}/ld10k1.m4

#%files -n liblo10k1-static
#%defattr(644,root,root,755)
#%{_libdir}/liblo10k1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-tools.spec,v $
Revision 1.25  2007/06/12 17:42:18  qboosh
- updated to 1.0.14
- updated sh patch

Revision 1.24  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.22  2006/12/22 01:12:17  shadzik
- alsa-tools-tascam no longer R: hotplug, R: udev instead
- rel 2
- STBR to Th

Revision 1.21  2006/10/04 22:21:18  qboosh
- updated to 1.0.13
- added liblo10k1 and liblo10k1-devel packages

Revision 1.20  2006/08/26 15:17:51  qboosh
- updated to 1.0.12, updated asneeded patch
- added csp, enabled sb16_csp utility patch
- removed breaking headers linking hack, enabled hdspmixer utility
- added echomixer and pcxhrloader utilities

Revision 1.19  2006/08/23 22:23:27  havner
- asneeded,sh patches
- rel 3

Revision 1.18  2006/08/23 13:54:21  havner
- rel 2

Revision 1.17  2006/08/23 08:10:45  havner
- typo

Revision 1.16  2006/08/23 07:59:21  havner
- separate hotplug part (not to require it)
- 755 for sh scripts

Revision 1.15  2006/04/22 08:23:25  qboosh
- updated to 1.0.11

Revision 1.14  2005/12/27 23:07:49  qboosh
- more general lib64 if

Revision 1.13  2005/12/27 22:13:14  pluto
- amd64 build fixed.

Revision 1.12  2005/11/19 16:14:32  qboosh
- updated to 1.0.10

Revision 1.11  2005/10/14 13:17:28  qboosh
- simplified, fixed shared lib

Revision 1.10  2005/10/14 11:51:14  andree
- added lo10k1,qlo10k1 support
- BR: qt-devel, sed >= 4.0

Revision 1.9  2005/06/05 10:11:37  qboosh
- updated to 1.0.9, removed obsolete gcc4 patch

Revision 1.8  2005/05/03 21:30:15  pluto
- gcc4 fix, release 2 for Th.

Revision 1.7  2005/01/15 18:15:49  qboosh
- updated to 1.0.8

Revision 1.6  2004/11/21 15:42:49  qboosh
- updated to 1.0.7

Revision 1.5  2004/08/16 15:04:38  pluto
- updated to 1.0.6.

Revision 1.4  2004/05/30 19:57:53  qboosh
- skip ac3dec (see ac3dec.spec); added hdspconf desktop+icon

Revision 1.3  2004/05/30 13:07:33  mmazur
- br: fltk-devel

Revision 1.2  2004/05/30 12:54:30  ankry
- cosmetics

Revision 1.1  2004/05/30 12:36:34  arekm
- initial pld release
